extends Node

var os_name = ""
var suffix = ""

var exec_path = OS.get_config_dir()+"/current/UltraFlare-"+os_name+"-x86_64"+suffix
var executable = File.new()

func get_version():
	var version
	
	var store = Store.get_store()
	
	if store.has("current_version"):
		version = store["current_version"]
	else:
		version = null
	
	return version


func _ready():
	if OS.get_name() == "X11":
		os_name = "linux"
	elif OS.get_name() == "Windows":
		os_name = "windows"

	if os_name == "windows":
		suffix = ".exe"

